#include "testlib.h"
#include <iostream>
using namespace std;
int MAXN = 100000;
int main() {
    registerValidation();
    string s = inf.readLine("[1-9][0-9]*");
    ensure(s.length() <= MAXN);
    string t = inf.readLine("[1-9][0-9]*");
    ensure(t.length() <= s.length());
    inf.readEof();
    return 0;
}
